Bug 1184431 (CVE-2015-0236) - CVE-2015-0236 libvirt: missing ACL check for the VIR_DOMAIN_XML_SECURE flag in save images and snapshots objects
Summary: CVE-2015-0236 libvirt: missing ACL check for the VIR_DOMAIN_XML_SECURE flag i...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-0236
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1184076 1185769
Blocks: 1176178
TreeView+ depends on / blocked
 
Reported: 2015-01-21 11:24 UTC by Petr Matousek
Modified: 2019-09-29 13:27 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the virDomainSnapshotGetXMLDesc() and virDomainSaveImageGetXMLDesc() functions did not sufficiently limit the usage of the VIR_DOMAIN_XML_SECURE flag when fine-grained ACLs were enabled. A remote attacker able to establish a connection to libvirtd could use this flaw to obtain certain sensitive information from the domain XML file.
Clone Of:
Environment:
Last Closed: 2015-08-19 22:28:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0323 normal SHIPPED_LIVE Low: libvirt security, bug fix, and enhancement update 2015-03-05 12:10:54 UTC

Description Petr Matousek 2015-01-21 11:24:22 UTC
The XML getters for for save images and snapshots objects don't check ACLs
for the VIR_DOMAIN_XML_SECURE flag and might possibly dump security sensitive
information.

A remote attacker able to establish a connection to libvirtd
could use this flaw to cause leak certain limited information from the
domain xml file.

Acknowledgements:

This issue was found by Luyao Huang of Red Hat.

Comment 1 Eric Blake 2015-01-22 22:22:06 UTC
Upstream security notice:
http://security.libvirt.org/2015/0001.html

Comment 2 Martin Prpič 2015-01-26 09:08:19 UTC
Created libvirt tracking bugs for this issue:

Affects: fedora-all [bug 1185769]

Comment 3 Martin Prpič 2015-01-26 09:09:40 UTC
External References:

http://security.libvirt.org/2015/0001.html

Comment 4 Fedora Update System 2015-02-15 03:06:55 UTC
libvirt-1.2.9.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-02-17 08:10:26 UTC
libvirt-1.1.3.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2015-03-05 07:49:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0323 https://rhn.redhat.com/errata/RHSA-2015-0323.html


Note You need to log in before you can comment on or make changes to this bug.